[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPImgProgressEvent

Image processing progress event.

## Declaration

Source position: fpimage.pp line 61

`type TFPImgProgressEvent = procedure(`
`Sender: TObject;`
`Stage: TFPImgProgressStage;`
`PercentDone: Byte;`
`RedrawNow: Boolean;`
`const R: TRect;`
`const Msg: AnsiString;`
`var Continue: Boolean`
`) of object;`

## Description

Sender: the image object

Stage: Starting, Running or Ending

PercentDone: how much has been accomplished

RedrawNow: whether to refresh the Image

R: the rectangle in which drawing progress is being monitored

Msg: a message to show in the progress display

Continue: set Continue to False to abort image processing

## See also

TFPCustomImage.OnProgress |  | Handler for Progress events.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .